package ru.yandex.webmaster3.storage.download.searchquery;

import org.joda.time.LocalDate;

/**
 * Created by ifilippov5 on 06.03.17.
 */
public class QueryStatisticsDateRange {
    private final LocalDate dateFrom;
    private final LocalDate dateTo;
    private final boolean wholeUserRange;

    public QueryStatisticsDateRange(LocalDate dateFrom, LocalDate dateTo, boolean wholeUserRange) {
        this.dateFrom = dateFrom;
        this.dateTo = dateTo;
        this.wholeUserRange = wholeUserRange;
    }

    public LocalDate getDateFrom() {
        return dateFrom;
    }

    public LocalDate getDateTo() {
        return dateTo;
    }

    public boolean isWholeUserRange() {
        return wholeUserRange;
    }
}
